Bug 188382 - Owner of /var/named/localdomain.zone file is incorrect
Owner of /var/named/localdomain.zone file is incorrect
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: bind (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Vas Dias
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-04-08 16:13 EDT by petrosyan
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version: 9.3.2-20.FC5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-20 01:25:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description petrosyan 2006-04-08 16:13:35 EDT
Description of problem:
In bind-config packaged the following files:
.M...U..  c /var/named/localdomain.zone
.M...U..  c /var/named/localhost.zone
.M...U..  c /var/named/named.broadcast
.M...U..  c /var/named/named.ca
.M...U..  c /var/named/named.ip6.local
.M...U..  c /var/named/named.local
.M...U..  c /var/named/named.zero

have the incorrecto owner (root). According to the rpm database ( rpm -q --dump
bind-config ) the owner should be "named"

Version-Release number of selected component (if applicable):
bind-config-9.3.2-12.FC5

How reproducible:
Always

Steps to Reproduce:
1. rpm -V bind-config
2. rpm -q --dump bind-config
3. ls -l /var/named/localdomain.zone
  
Actual results:
/var/named/localdomain.zone is owned by root

Expected results:
/var/named/localdomain.zone should be owned by named, or the rpm database should
be updated.
Comment 1 Jason Vas Dias 2006-04-13 21:23:43 EDT
Sorry about that.
The initscript '%files config' section incorrectly had a %defattr(-,named,named),
while the bind-chroot-admin script correctly set the ownership back to
root:named during the %post install script.
But at least the files did end up with the correct permissions.
This is now fixed in CVS and will be delivered in the next few days in a 
bind-9.3.2-18.FC5 Testing update.

Comment 2 Nerijus Baliūnas 2006-04-17 22:31:17 EDT
When updating to 9.3.2-16.FC5, I get:
Updating  : bind-config                                          [ 4/12]warning:
/etc/named.caching-nameserver.conf saved as
/etc/named.caching-nameserver.conf.rpmsave
  Updating  : bind-config                                          [
4/12]warning: /etc/named.rfc1912.zones saved as /etc/named.rfc1912.zones.rpmsave
  Updating  : bind-config                  ####################    [
4/12]warning: /var/named/localdomain.zone saved as
/var/named/localdomain.zone.rpmsave

On my system /var/named/localdomain.zone (and localdomain.zone.rpmsave) is a
link to /var/named/chroot//var/named/localdomain.zone.
In /var/named/chroot/var/named I have identical files localdomain.zone and
localdomain.zone.2006-04-18_05-28-08.225423000.
Why are these 2006-04-18_05... and rpmsave files generated, if they are
identical to previous ones?

Even after update and creation of rpmsave files bind-config package shows
alterations:
# rpm -V bind-config                                                    
....L...  c /etc/named.caching-nameserver.conf
....L...  c /etc/named.rfc1912.zones
....LUG.  c /var/named/localdomain.zone

Why?
Comment 3 Nerijus Baliūnas 2006-04-17 23:20:12 EDT
It seems it only happens when bind-chroot is installed. It would be nice to not
create rpmsave files when they are not changed.
Comment 4 Fedora Update System 2006-04-19 11:51:03 EDT
bind-9.3.2-20.FC5 has been pushed for fc5, which should resolve this issue.  If these problems are still present in this version, then please make note of it in this bug report.
Comment 5 petrosyan 2006-04-20 01:25:50 EDT
this bug has been fixed indeed.
Comment 6 Fedora Update System 2006-05-03 14:49:49 EDT
bind-9.3.2-20.FC5 has been pushed for fc5, which should resolve this issue.  If these problems are still present in this version, then please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.